@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

:root {
    --mainColor: #FE2712;
    --hoverColor: #EA2113;
    --backgroundColor: #ffffff;
    --darkColorOne: #312f3a;
    --darkColorTwo: #45424b;
    --greyOne: #919191;
    --greyTwo: #aaa;
}

*, *::before, *::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
    animation: fadein 1s;
}

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

img {
    width: 100%;
}

a {
    text-decoration: none;
}

.big-wrapper {
    padding: 1.7rem 0 2rem;
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
    background-color: var(--backgroundColor);
}

.logo img {
    width: 60px;
    margin-right: .6rem;
    margin-top: -0.6rem;
}

.container {
    max-width: 81rem;
    width: 100%;
    margin: 0 auto;
    padding: 0 3rem;
    z-index: 10;
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header {
    position: relative;
    z-index: 70;
}

.logo  {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.links ul {
    display: flex;
    list-style: none;
    align-items: center;
}

.links a {
    color: var(--mainColor);
    margin: 2rem;
    display: inline-block;
}

.links {
    display: flex;
    list-style: none;
    align-items: center;
}

.menu {
    position: relative;
    z-index: 99;
    width: 2rem;
    height: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    display: none;
}

.menu .bar {
    position: relative;
    width: 100%;
    height: 3px;
    background-color: var(--darkColorTwo);
    border-radius: 3px;
    transition: .5s;
}

.menu .bar::before, 
.menu .bar::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: var(--darkColorTwo);
    border-radius: 3px;
    transition: .5s;
}

.menu .bar::before {
    transform: translateY(-8px);
}

.menu .bar::after {
    transform: translateY(8px);
}

.big-wrapper.active .menu .bar {
    background-color: transparent;
}

.big-wrapper.active .bar::before {
    transform: translateY(0) rotate(45deg);
}

.big-wrapper.active .bar::after {
    transform: translateY(0) rotate(-45deg);
}

.btn {
    display: inline-block;
    padding: .9rem 1.9rem;
    background-color: var(--mainColor);
    border-radius: 16px;
    text-transform: capitalize;
    transition: .3s;
    color: white !important;
}

.overlay {
    display: none;
}

@media screen and (max-width: 870px) {

    .menu {
        display: flex;
    }

    .links {
        position: fixed;
        top: 0;
        right: 0;
        max-width: 450px;
        width: 100%;
        height: 100%;
        background-color: var(--mainColor);
        z-index: 95;
        display: flex;
        align-items: center;
        justify-content: center;
        transform: translateX(100%);
        transition: .5s;
    }

    .links ul {
        flex-direction: column;
    }

    .links a {
        color: #fff;
        margin-left: 0;
        padding: 2rem 0;
    }
    
    .links .btn {
        background: none;
    }

    .overlay {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0.7);
        opacity: 0;
        pointer-events: none;
    }

    .big-wrapper.active .links {
        transform: translateX(0);
    }
}

.wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
    max-width: 390px;
    padding: 30px;
  }
  
  .wrapper .form-container p {
      color: red;
      text-align: center;
      align-items: center;
      justify-content: center;
  }
  
  .wrapper .title-text {
    display: flex;
    width: 200%;
    color: red;
  }
  
  .wrapper .title {
    width: 50%;
    font-size: 35px;
    font-weight: 600;
    text-align: center;
    transition: all 0.6s cubic-bezier(0.68,-0.55,0.265,1.55);
  }
  
  .wrapper .slide-controls {
    position: relative;
    display: flex;
    height: 50px;
    width: 100%;
    overflow: hidden;
    margin: 30px 0 10px 0;
    justify-content: space-between;
    border: 1px solid lightgrey;
    border-radius: 5px;
  }
  
  .slide-controls .slide {
    height: 100%;
    width: 100%;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    text-align: center;
    line-height: 48px;
    cursor: pointer;
    z-index: 1;
    transition: all 0.6s ease;
  }
  
  .slide-controls label.register {
    color: #000;
  }
  
  .slide-controls .slider-tab {
    position: absolute;
    height: 100%;
    width: 50%;
    left: 0;
    z-index: 0;
    border-radius: 5px;
    background: red;
    transition: all 0.6s cubic-bezier(0.68,-0.55,0.265,1.55);
  }
  
  input[type="radio"] {
    display: none;
  }
  
  #register:checked ~ .slider-tab {
    left: 50%;
  }
  
  #register:checked ~ label.register {
    color: #fff;
    cursor: default;
    -webkit-user-select: none;
    user-select: none;
  }
  
  #register:checked ~ label.login{
    color: red;
  }
  
  #login:checked ~ label.register {
    color: red;
  }
  
  #login:checked ~ label.login {
    cursor: default;
    -webkit-user-select: none;
    user-select: none;
  }
  
  .wrapper .form-container {
    width: 100%;
    overflow: hidden;
  }
  
  .form-container .form-inner {
    display: flex;
    width: 200%;
  }
  
  .form-container .form-inner form {
    width: 50%;
    transition: all 0.6s cubic-bezier(0.68,-0.55,0.265,1.55);
  }
  
  .form-inner form .field {
    height: 50px;
    width: 100%;
    margin-top: 20px;
  }
  
  .form-inner form .field input {
    height: 100%;
    width: 100%;
    outline: none;
    padding-left: 15px;
    border-radius: 5px;
    border: 1px solid lightgrey;
    border-bottom-width: 2px;
    font-size: 17px;
    transition: all 0.3s ease;
  }
  
  .form-inner form .field input:focus {
    border-color: red;
    /* box-shadow: inset 0 0 3px #fb6aae; */
  }
  
  .form-inner form .field input::placeholder {
    color: #999;
    transition: all 0.3s ease;
  }
  
  form .field input:focus::placeholder {
    color: #b3b3b3;
  }
  
  .form-inner form .pass-link {
    margin-top: 5px;
  }
  
  .form-inner form .register-link {
    text-align: center;
    margin-top: 30px;
  }
  
  .form-inner form .pass-link a,
  .form-inner form .register-link a {
    color: red;
    text-decoration: none;
  }
  
  .form-inner form .pass-link a:hover,
  .form-inner form .register-link a:hover {
    text-decoration: underline;
  }
  
  form .btn {
    height: 50px;
    width: 100%;
    border-radius: 5px;
    position: relative;
    overflow: hidden;
  }
  
  form .btn .btn-layer {
    height: 100%;
    width: 300%;
    position: absolute;
    left: -100%;
    background: red;
    border-radius: 5px;
    transition: all 0.4s ease;;
  }
  
  form .btn:hover .btn-layer {
    left: 0;
  }
  
  form .btn input[type="submit"] {
    height: 100%;
    width: 100%;
    z-index: 1;
    position: relative;
    background: none;
    border: none;
    color: white;
    padding-left: 0;
    border-radius: 5px;
    font-size: 20px;
    font-weight: 500;
    cursor: pointer;
  }
  
@media screen and (max-width: 410px) {
    .big-wrapper.active .menu .bar {
        background-color: transparent;
        transform: translateX(-270px);
    }
}
}
